Subject: File References override meta data with empty string per default

Description

On creating a new file reference (e.g. inside a tt_content element with images), the file reference properties "title", "description” and
"alternative" are set to an empty string which results in overriding the meta data of the original file per default. The solution is to allow
NULL as default value, which is currently casted to string if being creating as new IRRE child record.

Related issues:
duplicates Core - Bug # 54412: Improve default value handling for NULL value ... Resolved 2013-12-14

History

#1 - 2014-07-23 09:41 - Oliver Hader

- Subject changed from File References override meta data with empty string per defaul to File References override meta data with empty string per
default

#2 - 2014-07-23 11:07 - Markus Klein

Hi Olly!

I'm not sure if | read this correctly, but | disagree. Currently the meta data are empty yes, but they do not override since the override checkbox is not

enabled by default.

#3 - 2014-07-23 11:14 - Oliver Hader
- Status changed from New to Closed
- TYPOS3 Version changed from 6.2 to 6.1

Markus Klein wrote:

Hi Olly!

I'm not sure if | read this correctly, but | disagree. Currently the meta data are empty yes, but they do not override since the override checkbox is

not enabled by default.

That's right... | experienced that in a TYPO3 6.1 project where there related issue #54412 has not been back-ported to.

Since the default value could only be a string up to TYPO3 6.2, there's unfortunately no way to back-port it.

A cherry-pick for TYPO3 6.1 can be found here however:
https://github.com/ohader/TYPO3.CMS/commit/372ea7b1150aa3176569b6e16cc4129b03000994
